$(function(){
  hide_del_btn();
});

// 追加ボタン押下
$('.add').on('click',function(){
  var base = $(this).parent().parent().parent('.tb-item');
  base.find('.del').show();
  // 入力フォームをクローン
  base.clone(true).insertAfter(base);

  // 追加した要素にスクロール
  $("html,body").animate({scrollTop:base.next().offset().top});

  // 入力フォームアコーディオン表示
  base.parent().parent('.tb').find('.ac-tb-form').show();
});

// 削除ボタン押下
$('.del').on('click',function(){
  var base = $(this).parent().parent().parent('.tb-item');
  var tbwrap = base.parent('.tb-wrap');
  var tb = tbwrap.parent('.tb');

  // エリアの削除
  base.remove();
  // ボタンの表示非表示切り替え
  hide_del_btn();
  // フォームエリア表示切り替え
  tbWrapClear(tbwrap);

  // 折りたたみアイコン非表示  
  if(tb.find('.ac-tb-form').is(':hidden')){
    tb.find('.fold-area').addClass('hide');
  }
});

// 閉じるボタン押下
$('.close-window').on('click',function(){
  window.close();
});

// 表領域のフォームが一つの時、削除ボタンを非表示
function hide_del_btn(){
  $('.tb-wrap').each(function(i, elem){
      var len = $(elem).find('.tb-item').length;
      //表の項目が一つの場合
      if(len <= 1){
         $(elem).find('.del').hide();
         $(this).children('.tb-item').removeClass('visually-hidden');
         // 入力フォームアコーディオン非表示
         $(this).parent().find('.ac-tb-form').hide();
      }
    });
}

// アコーディオンを閉めている際にフォームを削除した場合
// 子要素がすべて非表示の場合、親要素を非表示とする
function tbWrapClear(tbwrap){
  if(tbwrap.children(':not(.visually-hidden)').length == 0){
    tbwrap.addClass("visually-hidden");
  }
  else {
    tbwrap.removeClass("visually-hidden");
  }
}

// 入力フォームアコーディオン
$('.ac-tb-form').on('click',function(){
  var tb = $(this).parent().parent().parent('.tb');
  var elems = tb.find('.tb-wrap').find('.tb-item');
  var tbwrap = tb.find('.tb-wrap');
  if(!$(this).hasClass('hide')){
    elems.each(function(i) {
      i = i + 1;
      if( i != elems.size()){
        $(this).addClass('visually-hidden');
      }
    });
    $(this).text('開く');

    // フォームエリア表示切り替え
    tbWrapClear(tbwrap);

    // 折りたたみアイコン表示
    tb.find('.fold-area').removeClass('hide');

  }else{
    elems.removeClass('visually-hidden');
    $(this).text('閉じる');
    
    // フォームエリア表示切り替え
    tbWrapClear(tbwrap);

    // 折りたたみアイコン非表示
    tb.find('.fold-area').addClass('hide');

  }
  // 開閉
  $(this).toggleClass("hide");
});

// トグル切り替え
$(".toggle").on("click", function() {
  $(this).toggleClass("checked");
  if(!$('input[name="check"]').prop("checked")) {
    $(".toggle input").prop("checked", true);
  } else {
    $(".toggle input").prop("checked", false);
  }
});


// メニュー表示
$('.c-dropdown-trigger').on("click",function(){
  $('[data-target="' + $(this).attr('id') + '"]').toggleClass('show');
  $('.mask').removeClass('hide');
});
// メニューを閉じる
$('.mask').on("click",function(){
  $('.mask').addClass('hide');
  $('.c-dropdown-menu').removeClass('show');
});

// カードリスト選択
$('.select-card-list .card .select-label').on("click",function(){
  $(this).closest('.select-card-list').find('.card').removeClass('selected');
  $(this).closest('.card').addClass('selected');
});

// リスト表示切替(リスト表示)
$('.view-menu .view-list-btn').on("click",function(){
  $('.view-block-btn').removeClass('active');
  $('.view-list-btn').addClass('active');
  $('.view-content').removeClass('view-block');
  $('.view-content').addClass('view-list');
});

// リスト表示切替(グリッド表示)
$('.view-menu .view-block-btn').on("click",function(){
  $('.view-list-btn').removeClass('active');
  $('.view-block-btn').addClass('active');
  $('.view-content').removeClass('view-list');
  $('.view-content').addClass('view-block');
});

// ローディング
$(function(){
  function e() {
    setTimeout(function(){
      $.LoadingOverlay("hide");
    }, 2000);
  }
  $(".search-form-btn").on('click', function(){
    $.LoadingOverlay("show", {
      image       : "img/loading.gif"
    });
    e();
  });
});
